:root {
  --theme-color-burgundy: #C9453B;
  --theme-color-white: #fff;
  --theme-color-gray: #E5E5E5;
  --theme-color-ftr: rgba(38, 148, 153, 0.04);
  --theme-color-black: #000;
  --mq-size-sm: 576px;
  --mq-size-md: 768px;
  --mq-size-lg: 992px;
  --mq-size-xl: 1200px;
}

body {
  box-sizing: border-box;
  color: #000;
  font-size: 10px;
  background-color: #fff;
}

*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.logo-link {
  font-family: "Ribeye", cursive;
  font-size: 20px;
  line-height: 150%;
  
}

.container {
  --container-width: 100%;
  width: var(--container-width);
  margin: 0 auto;
  padding: 0 15px;
}

.header {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: transparent;
  z-index: 1000;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 60px;
}

.nav__logo-link {
  color: #fff;
  z-index: 5;
}

.menu__body {
  position: absolute;
  top: -100%;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.95);
  transition: top 0.3s ease 0s;
  padding-top: 125px;
  z-index: 4;
  overflow: auto;
}

.menu__list {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.menu__item {
  padding-bottom: 15px;
  margin-bottom: 15px;
}

.menu__link {
  font-size: 30px;
  color: white;
  transition: all 0.3s ease-in;
}

.button {
  background-color: var(--theme-color-burgundy);
  text-align: center;
  border-radius: 5px;
  color: var(--theme-color-white);
  line-height: 1.5;
  font-size: 8px;
  padding: 7px 16px;
}

.title {
  font-family: Gelasio;
  font-style: normal;
  font-weight: 500;
  font-size: 23px;
  line-height: 140%;
  color: #000000;
}

.news-title {
  font-family: Gelasio;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 150%;
  color: #000000;
}

.text {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 10px;
  line-height: 160%;
  opacity: 0.6;
}

.news-author {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 150%;
  color: #000;
  opacity: 0.8;
}

.news-author--bold {
  font-weight: 500;
}

.home {
  position: relative;
  height: 100vh;
}

.home__bg {
  display: block;
  width: 100%;
  height: 100vh;
  object-fit: cover;
  object-position: top right;
}

.home__wrapper {
  padding: 20px 0px;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 90%;
  transform: translate(-50%, -50%);
}

.home__card {
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.home__title {
  font-family: Gelasio;
  font-weight: 700;
  font-size: 25px;
  line-height: 120%;
  color: white;
}

.home__text {
  color: white;
  opacity: 1;
  text-align: justify;
  line-height: 160%;
  margin-top: 15px;
}

.locations {
  padding: 60px 0 10px 0;
}

.locations__header {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
}

.locations__title {
  margin-bottom: 5px;
}

.locations__description {
  text-align: center;
  padding: 0 10px;
}

.locations__items {
  display: flex;
  flex-direction: column;
  margin: 0 -15px;
}

.locations__column {
  flex: 0 0 100%;
}

.location-post {
  margin-bottom: 25px;
  height: 100%;
  transition: all 0.3s ease-in;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.location-post__image-wrapper {
  overflow: hidden;
  display: inline-block;
  width: 100%;
}

.location-post__image {
  transition: 1s;
}

.location-post__info {
  text-align: center;
}

.location-post__title {
  display: inline-block;
}

.location-post__text {
  margin-top: 10px;
  text-align: center;
  padding: 0 10px;
}

.blog {
  padding: 80px 10px 10px;
}

.blog__wrapper {
  display: flex;
  flex-direction: column;
}

.blog__title {
  margin-bottom: 10px;
  text-align: center;
}

.blog__text {
  text-align: center;
  margin-bottom: 25px;
}

.blog__news-wrapper {
  margin: 0 -15px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.blog__small-news-wrapper {
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}

.big-news {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  margin-bottom: 10px;
}

.big-news__image-wrapper {
  overflow: hidden;
  width: 270px;
}

.big-news__image {
  transition: 1s;
}

.big-news__info {
  padding-top: 10px;
}

.big-news__text {
  margin-top: 10px;
}

.big-news__author {
  margin-top: 10px;
}

.small-news {
  display: flex;
  align-items: center;
  width: 100%;
}

.small-news__image-wrapper {
  overflow: hidden;
  border-radius: 10px;
  flex: 0 0 120px;
  margin-right: 10px;
  margin-bottom: 5px;
}

.small-news__image {
  transition: 1s;
}

.footer {
  margin-top: 60px;
  background: rgba(38, 148, 153, 0.04);
}

.footer__wrapper {
  padding: 15px 10px;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.footer__about {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer__logo-link {
  color: black;
}

.footer__social {
  margin-top: 20px;
}

.footer__social-link {
  display: flex;
  justify-content: center;
}

.footer__text {
  text-align: center;
}

.footer__email {
  display: inline-block;
  color: inherit;
  font-size: 16px;
  margin-top: 10px;
}

.footer__links {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}

.footer__links-list {
  margin-top: 15px;
}

.footer__item {
  margin-top: 10px;
}

.footer__item:first-child {
  margin-top: 0;
}

.footer__link {
  font-weight: 500;
  font-size: 12px;
  line-height: 32px;
  color: black;
  letter-spacing: 0.5px;
}

.footer__subscribe-block {
  margin-top: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
}


@media (min-width: 576px) {
  .container {
    width: 576px;
  }

  .home__wrapper {
    padding-left: 15px;
  }

  .title {
    font-size: 25px;
  }

  .text {
    font-size: 12px;
  }

  .news-author {
    font-size: 12px;
  }

  .home__title {
    font-size: 30px;
  }

  .home__button {
    width: 110px;
  }

  .locations__header {
    margin-bottom: 15px;
  }

  .locations__title {
    margin-bottom: 10px;
  }

  .locations__description {
    padding: 0 30px;
  }

  .big-news__image-wrapper {
    width: 450px;
  }

  .big-news__info {
    text-align: center;
    align-self: center;
  }

  .small-news__image-wrapper {
    flex: 0 0 100px;
  }

  .footer__wrapper {
    margin-top: 80px;
    padding: 30px 10px 30px;
  }

  .footer__links-list {
    margin-top: 0;
    margin-left: 30px;
  }
}
@media (min-width: 768px) {
  .container {
    width: 768px;
  }

  .button {
    font-size: 16px;
    padding: 14px 36px;
  }

  .header {
    position: absolute;
  }

  .title {
    font-size: 30px;
  }

  .news-title {
    font-size: 16px;
  }

  .text {
    font-size: 14px;
  }

  .news-author {
    font-size: 14px;
  }

  .nav {
    height: 80px;
  }

  .menu__body {
    position: relative;
    padding-top: 0;
    overflow: visible;
    background: none;
  }

  .menu__list {
    flex-direction: row;
    align-items: center;
  }

  .menu__item {
    margin: 0;
    padding: 0;
    margin-left: 25px;
  }

  .menu__link {
    font-size: 16px;
  }

  .home__bg {
    background-size: 100% 100vh;
    background-position: top center;
  } 

  .home__title {
    font-size: 40px;
  }

  .home__text {
    opacity: 0.6;
  }

  .locations__header {
    margin-bottom: 15px;
  }

  .locations__title {
    margin-bottom: 20px;
  }

  .locations__description {
    padding: 0 70px;
  }

  .locations__items {
    flex-direction: row;
  }

  .locations__column {
    flex: 0 1 33%;
    padding: 0 15px;
  }

  .location-post {
    margin-bottom: 0;
  }

  .location-post__image-wrapper {
    border-radius: 10px 10px 0 0;
  }

  .location-post__info {
    padding: 10px 10px;
  }

  .blog {
    padding: 110px 11px 10px;
  }

  .blog__text {
    margin: 0px auto 30px;
    width: 550px;
  }

  .blog__news-wrapper {
    flex-direction: row;
    align-items: flex-start;
  }

  .big-news {
    align-items: flex-start;
    flex: 0 0 380px;
    margin-right: 20px;
  }

  .big-news__image-wrapper {
    width: 100%;
  }

  .big-news__info {
    text-align: left;
    align-self: flex-start;
  }

  .small-news {
    width: 320px;
    margin-bottom: 15px;
  }

  .small-news__image-wrapper {
    flex: 0 0 150px;
    height: 140px;
  }

  .small-news__text {
    margin-top: 10px;
    margin-bottom: 5px;
  }

  .footer {
    margin-top: 100px;
  }

  .footer__wrapper {
    flex-direction: row;
    justify-content: space-between;
    align-items: start;
  }

  .footer__logo-link {
    font-size: 24px;
    align-self: flex-start;
  }

  .footer__social {
    margin-top: 26px;
  }

  .footer__social-link {
    justify-content: flex-start;
  }

  .footer__text {
    text-align: left;
    font-size: 16px;
  }

  .footer__links {
    justify-content: space-between;
  }

  .footer__links-list {
    margin-left: 40px;
  }

  .footer__item {
    margin-top: 10px;
  }

  .footer__link {
    font-size: 14px;
  }

  .footer__subscribe-block {
    align-items: flex-start;
  }
}
@media (min-width: 992px) {
  .container {
    width: 992px;
  }

  .nav {
    height: 90px;
  }

  .menu__item {
    margin-left: 40px;
  }

  .menu__link {
    font-size: 18px;
  }

  .button {
    font-size: 16px;
  }

  .title {
    font-size: 38px;
  }

  .news-title {
    font-size: 18px;
  }

  .text {
    font-size: 16px;
  }

  .news-author {
    font-size: 18px;
  }

  .home__title {
    font-size: 50px;
  }

  .home__text {
    margin-top: 30px;
  }

  .locations__header {
    margin-bottom: 25px;
  }

  .locations__description {
    padding: 0 155px;
  }

  .locations__info {
    padding: 20px 15px;
  }

  .blog {
    padding: 120px 12px 10px;
  }

  .blog__title {
    margin-bottom: 20px;
  }

  .blog__text {
    width: 650px;
  }

  .big-news {
    flex: 0 0 480px;
  }

  .small-news {
    width: 440px;
  }

  .small-news__image-wrapper {
    flex: 0 0 200px;
    height: 180px;
    margin-right: 20px;
  }
  
  .footer {
    margin-top: 150px;
  }

  .footer__links-list {
    margin-left: 80px;
  }

  .footer__link {
    font-size: 16px;
  }

  
}
@media (min-width: 1200px) {
  .container {
    width: 1200px;
  }
  
  .nav {
    height: 100px;
  }

  .menu__item {
    margin-left: 50px;
  }

  .title {
    font-size: 43px;
  }

  .news-title {
    font-size: 20px;
  }

  .text {
    font-size: 18px;
  }

  .news-author {
    font-size: 20px;
  }

  .home__title {
    font-size: 65px;
  }

  .home__text {
    font-size: 18px;
  }

  .locations__header {
    margin-bottom: 50px;
  }

  .locations__description {
    padding: 0 216px;
  }

  .location-post__image-wrapper {
    height: 331px;
  }

  .location-post__info {
    padding: 35px 27px;
  }

  .blog {
    padding: 140px 21px 10px;
  }

  .blog__text {
    width: 735px;
    margin-bottom: 50px;
  }

  .blog__news-wrapper {
    padding: 0 20px;
  }

  .big-news {
    flex: 0 0 564px;
    margin-right: 32px;
  }

  .big-news__info {
    padding-top: 35px;
  }

  .small-news {
    flex: 0 0 201px;
    width: 537px;
    margin-bottom: 30px;
  }

  .small-news__image-wrapper {
    flex: 0 0 263px;
    height: 201px;
    margin-right: 27px;
  }
  
  .footer {
    margin-top: 200px;
  }

  .footer__wrapper {
    padding: 70px 10px 78px;
  }

  .footer__links-list {
    margin-left: 120px;
  }

  
}

@media (hover: hover) and (pointer: fine) {
  .button {
    transition: all 0.5s linear;
  }
  .button:hover {
    transition: all 0.5s linear;
    box-shadow: 0px 6px 35px rgba(0, 0, 0, 0.6);
    background-color: var(--theme-color-gray);
    color: var(--theme-color-burgundy);
  }

  .menu__item:hover {
    transition: all 0.5s linear;
    transform: scale(1.15);
  }
  .menu__link:hover {
    color: var(--theme-color-burgundy);
  }

  .location-post:hover {
    box-shadow: 0px 10px 35px rgba(0, 0, 0, 0.1);
  }

  .location-post:hover img {
    transform: scaleX(-1) rotate(360deg);
  }

  .big-news:hover img {
    transform: translateX(20px);
  }

  .small-news:hover img {
    transform: skew(-20deg, 20deg);
  }
  
}